import { ExplicitCallable } from './pipe';
export declare function add(value: number): ExplicitCallable<number, number>;
export declare function changeSign(): ExplicitCallable<number, number>;
export declare function decrement(): ExplicitCallable<number, number>;
export declare function divideBy(value: number): ExplicitCallable<number, number>;
export declare function increment(): ExplicitCallable<number, number>;
export declare function multiplyBy(value: number): ExplicitCallable<number, number>;
export declare function negative(): ExplicitCallable<number, number>;
export declare function positive(): ExplicitCallable<number, number>;
export declare function pow(exponent: number): ExplicitCallable<number, number>;
export declare function root(exponent: number): ExplicitCallable<number, number>;
export declare function subtract(value: number): ExplicitCallable<number, number>;
export declare function takeBetween(start: number, end: number): ExplicitCallable<number[], number[]>;
export declare function takeGreater(): ExplicitCallable<number[], number>;
export declare function takeGreaterThan(check: number, equal?: boolean): ExplicitCallable<number[], number[]>;
export declare function takeLower(): ExplicitCallable<number[], number>;
export declare function takeLowerThan(check: number, equal?: boolean): ExplicitCallable<number[], number[]>;
export declare function takeOuter(start: number, end: number): ExplicitCallable<number[], number[]>;
