import { ExplicitCallable } from './pipe';
export declare function camelCase(): ExplicitCallable<string, string>;
export declare function chars(): ExplicitCallable<string, string[]>;
export declare function concat(str: string): ExplicitCallable<string, string>;
export declare function includes(str: string): ExplicitCallable<string, boolean>;
export declare function length(): ExplicitCallable<string, number>;
export declare function lowercase(): ExplicitCallable<string, string>;
export declare function pascalCase(): ExplicitCallable<string, string>;
export declare function repeat(count?: number): ExplicitCallable<string, string>;
export declare function replaceAll(needle: string, replaceWith: string): ExplicitCallable<string, string>;
export declare function toBinaryArray(): ExplicitCallable<string, string[]>;
export declare function uppercase(): ExplicitCallable<string, string>;
