import { IPipe, IContext, ExplicitCallable, Callable } from './pipe';
export declare function applyEach<T, R>(pipe: IPipe<T, R>): (arg: T[], context: IContext<T[], R>) => Promise<R>[];
export declare function applyEachSync<T, R>(pipe: IPipe<T, R>): (arg: T[], context: IContext<T[], R>) => R[];
export declare function join(char: string): ExplicitCallable<unknown[], string>;
export declare function nth(index: number): Callable;
export declare function reverse(): ExplicitCallable<unknown[], unknown[]>;
