import { ExplicitCallable, Callable } from './pipe';
export declare function exclude<KObject, Keys extends keyof KObject = keyof KObject>(...keys: Keys[]): ExplicitCallable<KObject, Pick<KObject, Keys>>;
export declare function hasProperty(propertyKey: string): ExplicitCallable<unknown, boolean>;
export declare function keys(): Callable;
export declare function maybe<TObject = unknown, TReturn = unknown>(path: string, fallbackValue?: TReturn): ExplicitCallable<TObject, TReturn>;
export declare function merge<T extends object, K>(target: T): ExplicitCallable<K, K & T>;
export declare function pick<KObject, Keys extends keyof KObject = keyof KObject>(...keys: Keys[]): ExplicitCallable<KObject, Pick<KObject, Keys>>;
